Button Control

- « UI\Controls\Check::setText

- UI\Controls\Button::__construct »

- PHP Manual
- UI
- Button Control

# Button Control

(UI 0.9.9)

## Introduction

Represents a labelled clickable button

## Class synopsis

class UI\Controls\Button extends UI\Control {
/* Constructor */
public __construct(string `$text`)
/* Methods */
public getText(): string
protected onClick()
public setText(string `$text`)
/* Inherited methods */
public UI\Control::destroy()
public UI\Control::disable()
public UI\Control::enable()
public UI\Control::getParent(): UI\Control
public UI\Control::getTopLevel(): int
public UI\Control::hide()
public UI\Control::isEnabled(): bool
public UI\Control::isVisible(): bool
public UI\Control::setParent(UI\Control `$parent`)
public UI\Control::show()
}

## Table of Contents

- UI\Controls\Button::__construct — Construct a new Button
- UI\Controls\Button::getText — Get Text
- UI\Controls\Button::onClick — Click Handler
- UI\Controls\Button::setText — Set Text